//+------------------------------------------------------------------+
//|                                          AlligatorOfIndexUSD.mq4 |
//|                               Copyright  2010, Victor Nicolaev. |
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Victor Nicolaev."
#property link      "vinin@mail.ru"


#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_color3 Lime
#property indicator_color4 Yellow

//---------------------------------
extern string  Index_USD = "_DXY";

extern int MA_Period1=13;
extern int MA_Shift1 = 8;
extern int MA_Period2= 8;
extern int MA_Shift2 = 5;
extern int MA_Period3= 5;
extern int MA_Shift3 = 3;

extern int MA_Mode=0;


//---- buffers
double Index[];
double MA1[];
double MA2[];
double MA3[];
int find;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
   SetIndexStyle(0,DRAW_LINE);    SetIndexBuffer(0,MA1);  SetIndexShift(0, MA_Shift1);
   SetIndexStyle(1,DRAW_LINE);    SetIndexBuffer(1,MA2);  SetIndexShift(1, MA_Shift2);
   SetIndexStyle(2,DRAW_LINE);    SetIndexBuffer(2,MA3);  SetIndexShift(2, MA_Shift3);
   
   SetIndexStyle(3,DRAW_LINE);    SetIndexBuffer(3,Index);

   find=StringFind(Symbol(),"USD");
   return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()  {
   return(0);  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   static int Delta=0;
   int i;
   int tmpDelta=MathMax(Bars,iBars("_DXY",0))-MathMin(Bars,iBars("_DXY",0));

   int counted_bars=IndicatorCounted();
   int limit=Bars-counted_bars; 
   if(limit>1) {
      limit=MathMin(Bars,iBars("_DXY",0))-MathMax(MathMax(MA_Period1,MA_Period2), MA_Period3)-1;
   }
   
   if (find==0) {
      for(i=limit; i>=0; i--){
         int pos=iBarShift(Index_USD ,0,Time[i]);
         Index[i]=1.0/iClose(Index_USD ,0,pos); 
         MA1[i]=1.0/iMA(Index_USD , 0, MA_Period1, 0, MA_Mode, PRICE_CLOSE, pos);
         MA2[i]=1.0/iMA(Index_USD , 0, MA_Period2, 0, MA_Mode, PRICE_CLOSE, pos);
         MA3[i]=1.0/iMA(Index_USD , 0, MA_Period3, 0, MA_Mode, PRICE_CLOSE, pos);
      }
   } else {
      for(i=limit; i>=0; i--){
         pos=iBarShift(Index_USD ,0,Time[i]);
         Index[i]=iClose(Index_USD ,0,pos); 
         MA1[i]=iMA(Index_USD , 0, MA_Period1, 0, MA_Mode, PRICE_CLOSE, pos);
         MA2[i]=iMA(Index_USD , 0, MA_Period2, 0, MA_Mode, PRICE_CLOSE, pos);
         MA3[i]=iMA(Index_USD , 0, MA_Period3, 0, MA_Mode, PRICE_CLOSE, pos);
      }
   
   }
           
   
   //----
   return(0);
}




